cURL
curl -X POST "https://app.cotool.ai/api/agents/llm-eval-metrics/batch" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"agentIds":["string"]}'import requests
url = "https://app.cotool.ai/api/agents/llm-eval-metrics/batch"
payload = { "agentIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://app.cotool.ai/api/agents/llm-eval-metrics/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agents/llm-eval-metrics/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/llm-eval-metrics/batch"
payload := strings.NewReader("{\n \"agentIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avgScore7d": 123,
"avgScore30d": 123,
"totalEvals7d": 123,
"totalEvals30d": 123
}
]{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Agents
Get LLM evaluation metrics for multiple agents
Retrieve system LLM evaluation metrics (llm-judge) for multiple agents in batch.
POST
/
api
/
agents
/
llm-eval-metrics
/
batch
cURL
curl -X POST "https://app.cotool.ai/api/agents/llm-eval-metrics/batch" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"agentIds":["string"]}'import requests
url = "https://app.cotool.ai/api/agents/llm-eval-metrics/batch"
payload = { "agentIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agentIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://app.cotool.ai/api/agents/llm-eval-metrics/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/agents/llm-eval-metrics/batch")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"agentIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/agents/llm-eval-metrics/batch"
payload := strings.NewReader("{\n \"agentIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"avgScore7d": 123,
"avgScore30d": 123,
"totalEvals7d": 123,
"totalEvals30d": 123
}
]{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Array of agent IDs
Was this page helpful?
⌘I